Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ka2ddo.yaac.gui
Class CallsignDocumentFilter

    java.lang.Object
      javax.swing.text.DocumentFilter
          org.ka2ddo.yaac.gui.CallsignDocumentFilter

    public class CallsignDocumentFilter

extends javax.swing.text.DocumentFilter

This document filter automatically upshifts lowercase text. It also restricts the character set to only those allowed in an AX.25 callsign.

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.text.DocumentFilter
`javax.swing.text.DocumentFilter.FilterBypass`

Constructor Summary
`CallsignDocumentFilter(boolean allowHyphen, boolean allowComma, boolean allowWildcard)`

Method Summary
`static CallsignDocumentFilter` | `getCallsignOnlyInstance()`
`static CallsignDocumentFilter` | `getCallsignSsidCommaInstance()`
`static CallsignDocumentFilter` | `getCallsignSsidInstance()`
`void` | `insertString(javax.swing.text.DocumentFilter.FilterBypass fb, int offset, java.lang.String string, javax.swing.text.AttributeSet attr)`
`void` | `replace(javax.swing.text.DocumentFilter.FilterBypass fb, int offset, int length, java.lang.String text, javax.swing.text.AttributeSet attrs)`

Methods inherited from class javax.swing.text.DocumentFilter
`remove`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CallsignDocumentFilter

    public CallsignDocumentFilter(boolean allowHyphen,
                                  boolean allowComma,
                                  boolean allowWildcard)

Method Detail

### getCallsignOnlyInstance

    public static CallsignDocumentFilter getCallsignOnlyInstance()

### getCallsignSsidInstance

    public static CallsignDocumentFilter getCallsignSsidInstance()

### getCallsignSsidCommaInstance

    public static CallsignDocumentFilter getCallsignSsidCommaInstance()

### insertString

    public void insertString(javax.swing.text.DocumentFilter.FilterBypass fb,
                             int offset,
                             java.lang.String string,
                             javax.swing.text.AttributeSet attr)
                      throws javax.swing.text.BadLocationException

  Overrides:
    `insertString` in class `javax.swing.text.DocumentFilter`
  Throws:
    `javax.swing.text.BadLocationException`

### replace

    public void replace(javax.swing.text.DocumentFilter.FilterBypass fb,
                        int offset,
                        int length,
                        java.lang.String text,
                        javax.swing.text.AttributeSet attrs)
                 throws javax.swing.text.BadLocationException

  Overrides:
    `replace` in class `javax.swing.text.DocumentFilter`
  Throws:
    `javax.swing.text.BadLocationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD